WEBSPLOIT(1)

NAME
websploit - Advanced MITM Framework

SYNOPSIS
websploit

DESCRIPTION

Websploit is an automatic vulnerability assessment, web scanner and exploiter tool. It is python command line tool that is composed on modular structure pretty similar to Metasploit. There are currently 7 modules. The command line does not accept any options. User just get into console typing "websploit" as root and the prompt will change to this: wsf >

OPTIONS

wsf > help
    Shows all command you can type in the websploit console. Some of them are only aplicable when using a certain module.

wsf > show
    Show Modules of Current Database

wsf > use <module_name>
    Select Module For Use

wsf > options
    Show Current Options Of Selected Module

wsf > set <module_option>
    Once you had seen the options of the selected module, you may use this command to define its desired value.

wsf > back
    Exit current module

wsf > update
    Disabled on Debian systems in order to avoid conflicts with apt-get.

wsf > about
    Shows info about the author.

EXAMPLES

Here is a simple example on how to use scan_wifi module in order to hunt existing wifi networks.
    wsf > scan_wifi > execute
    SSID                          	      BSSID       	 CHANNEL 	 SIGNAL  	  BARS  	     SECURITY
    EDTSTAR_2350                     1C-B0-44-38-98-49 	    11    	    89    	   ▂▄▆█  	        WPA2
    JAZZTWE_aJpE                     00-4A-77-4D-C4-CC 	     1    	    69    	   ▂▄▆_  	     WPA1 WPA2
    RadioPatioA1985                	 74-9D-79-2A-47-60 	    11    	    57    	   ▂▄▆_  	        WPA2
    MIWIFI_dsTp                   	 EC-BE-ED-39-1A-D2 	     1    	    44    	   ▂▄__  	        WPA2
    DabaduNet4434                  	 78-84-B4-51-44-35 	     8    	    44    	   ▂▄__  	        WPA2
    MyHomenet821                     74-7D-79-52-2A-00 	     1    	    37    	   ▂▄__  	        WPA2